const mysql = require('mysql');
const db_conf = require('../conf/db-conf.js');

let connection = mysql.createConnection(db_conf.module);

connection.connect();

const path = require('path');
const express = require('express');
const app = express();

const log = require('../util/log.js');
let buy_rate_table;

app.use(express.static(path.join(__dirname, '../public')));

app.get('/api/v1/buy-rate', function (req, res) {
  res.json(buy_rate_table);
});

app.listen(3000, function () {
  console.log('Example app listening on port 3000!');
});

setTimeout(() => {
  tick_rate();
}, 0);  // trick

setInterval(() => {
  tick_rate();
}, 1000*60*1); // 1 minutes interval.


const tick_rate = () => {
  log.logWithTime(' tick_rate is called! ( interval 1 minutes )');
  connection.query('DELETE FROM buy_rate', (err, results) => {
    if(err) return;
    connection.query('INSERT INTO buy_rate (market_name, one_hour, three_hour, six_hour, half_day, one_day, three_day, one_week) ' +
      'SELECT ' +
      'b.market_name, ' +
      'b.one_hour / (b.one_hour + s.one_hour) as one_hour, ' +
      'b.three_hour / (b.three_hour + s.three_hour) as three_hour, ' +
      'b.six_hour / (b.six_hour + s.six_hour) as six_hour, ' +
      'b.half_day / (b.half_day + s.half_day) as half_day, ' +
      'b.one_day / (b.one_day + s.one_day) as one_day, ' +
      'b.three_day / (b.three_day + s.three_day) as three_day, ' +
      'b.one_week / (b.one_week + s.one_week) as one_week ' +
      'FROM buy_volume b, sell_volume s WHERE b.market_name = s.market_name',
      (err, results, field) => {
        if(err) return;
        connection.query('SELECT * FROM buy_rate', (err, results) => {
          buy_rate_table = results;
        });
      });
  });
}
