const mysql = require('mysql');
const db_conf = require('../conf/db-conf.js');

const log = require('../util/log.js');

let connection = mysql.createConnection(db_conf.module);

connection.connect();

connection.query('create table market_names ( ' +
  'no int primary key auto_increment, ' +
  'market_name varchar(20) unique ' +
  ')', (err, results) => {
  if(err) {
    log.logWithTime(' aleady exist table. (market_names)');
     return;
   }
});


connection.query('create table history ( ' +
  'no int primary key auto_increment, ' +
  'market_name varchar(20), ' +
  'id int, ' +
  'timestamp timestamp, ' +
  'total double, ' +
  'order_type varchar(4) ' +
  ')', (err, results) => {
    if(err) {
      log.logWithTime(' aleady exist table. (history)');
      return;
    }
});

connection.query('create table buy_volume ( ' +
'no int primary key auto_increment, ' +
'market_name varchar(20) unique, ' +
'one_hour double, ' +
'three_hour double, ' +
'six_hour double, ' +
'half_day double, ' +
'one_day double, ' +
'three_day double, ' +
'one_week double ' +
')', (err, results) => {
  if(err) {
    log.logWithTime(' aleady exist table. (buy_volume)');
     return;
   }
});



connection.query('create table sell_volume ( ' +
'no int primary key auto_increment, ' +
'market_name varchar(20) unique, ' +
'one_hour double, ' +
'three_hour double, ' +
'six_hour double, ' +
'half_day double, ' +
'one_day double, ' +
'three_day double, ' +
'one_week double ' +
')', (err, results) => {
  if(err) {
    log.logWithTime(' aleady exist table. (sell_volume)');
     return;
   }
});

connection.query('create table buy_rate ( ' +
'no int primary key auto_increment, ' +
'market_name varchar(20) unique, ' +
'one_hour double, ' +
'three_hour double, ' +
'six_hour double, ' +
'half_day double, ' +
'one_day double, ' +
'three_day double, ' +
'one_week double ' +
')', (err, results) => {
  if(err) {
    log.logWithTime(' aleady exist table. (buy_rate)');
     return;
   }
});
